AICommandsClient (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.autoinventory.agent.client.AICommandsClient interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory.agent.client
Interface AICommandsClient

All Known Implementing Classes:
  AICommandsClientImpl, AICommandsService, LegacyAICommandsClientImpl

    public interface AICommandsClient

Method Summary
`ScanStateCore` | `getScanStatus()`
`void` | `pushRuntimeDiscoveryConfig(int type, int id, java.lang.String typeName, java.lang.String name, ConfigResponse response)`
`void` | `startScan(ScanConfigurationCore scanConfig)`
`void` | `stopScan()`

Method Detail

### startScan

    void startScan(ScanConfigurationCore scanConfig)
                   throws AgentRemoteException,
                          AgentConnectionException,
                          AutoinventoryException

  Throws:
    `AgentRemoteException`
    `AgentConnectionException`
    `AutoinventoryException`

### stopScan

    void stopScan()
                  throws AgentRemoteException,
                         AgentConnectionException

  Throws:
    `AgentRemoteException`
    `AgentConnectionException`

### getScanStatus

    ScanStateCore getScanStatus()
                                throws AgentRemoteException,
                                       AgentConnectionException,
                                       AutoinventoryException

  Throws:
    `AgentRemoteException`
    `AgentConnectionException`
    `AutoinventoryException`

### pushRuntimeDiscoveryConfig

    void pushRuntimeDiscoveryConfig(int type,
                                    int id,
                                    java.lang.String typeName,
                                    java.lang.String name,
                                    ConfigResponse response)
                                    throws AgentRemoteException

  Throws:
    `AgentRemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.